/*	PIRL_strings.h

To be used in conjunction with the PIRL string manipulation functions.

Author:

	Bradford Castalia, UA/PIRL, 7/98

SCCS ID: @(#)PIRL_strings.h	1.6 04/30/99
*/
#ifndef _PIRL_strings_
#define _PIRL_strings_

/*	Function prototypes:
*/

char *
strcombine
	(
	char	*leading,
	char	*trailing
	);

char *
strcompress
	(
	char	*string
	);

char *
strdir
	(
	char	*directory,
	char	*pathname
	);

char *
strfile
	(
	char	*filename,
	char	*pathname
	);

char *
strndup
	(  
	char			*string,
	unsigned int	amount
	);

char *
strtruncate
	(
	char	*string
	);

char *
next_word
	(
	char	*string,
	char	*delimiters
	);

char *
skip_delimiters
	(
	char	*string,
	char	*delimiters
	);

char *
skip_word
	(
	char	*string,
	char	*delimiters
	);

char *
skip_back_until
	(
	char	*string_start,
	char	*string_end,
	char	*skip_characters
	);

char *
skip_back_over
	(
	char	*string_start,
	char	*string_end,
	char	*skip_characters
	);

char *
ultostring
	(
	unsigned long	value,
	int				base,
	char			*string
	);

char *
ulltostring
	(
	unsigned long long	value,
	int					base,
	char				*string
	);

#endif
